Package org.lwjgl.opengl

# Class NVRegisterCombiners

java.lang.Object
org.lwjgl.opengl.NVRegisterCombiners

public final class NVRegisterCombiners extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BIAS_BY_NEGATIVE_ONE_HALF_NV`
`static final int`
`GL_COLOR_SUM_CLAMP_NV`
`static final int`
`GL_COMBINER_AB_DOT_PRODUCT_NV`
`static final int`
`GL_COMBINER_AB_OUTPUT_NV`
`static final int`
`GL_COMBINER_BIAS_NV`
`static final int`
`GL_COMBINER_CD_DOT_PRODUCT_NV`
`static final int`
`GL_COMBINER_CD_OUTPUT_NV`
`static final int`
`GL_COMBINER_COMPONENT_USAGE_NV`
`static final int`
`GL_COMBINER_INPUT_NV`
`static final int`
`GL_COMBINER_MAPPING_NV`
`static final int`
`GL_COMBINER_MUX_SUM_NV`
`static final int`
`GL_COMBINER_SCALE_NV`
`static final int`
`GL_COMBINER_SUM_OUTPUT_NV`
`static final int`
`GL_COMBINER0_NV`
`static final int`
`GL_COMBINER1_NV`
`static final int`
`GL_COMBINER2_NV`
`static final int`
`GL_COMBINER3_NV`
`static final int`
`GL_COMBINER4_NV`
`static final int`
`GL_COMBINER5_NV`
`static final int`
`GL_COMBINER6_NV`
`static final int`
`GL_COMBINER7_NV`
`static final int`
`GL_CONSTANT_COLOR0_NV`
`static final int`
`GL_CONSTANT_COLOR1_NV`
`static final int`
`GL_DISCARD_NV`
`static final int`
`GL_E_TIMES_F_NV`
`static final int`
`GL_EXPAND_NEGATE_NV`
`static final int`
`GL_EXPAND_NORMAL_NV`
`static final int`
`GL_HALF_BIAS_NEGATE_NV`
`static final int`
`GL_HALF_BIAS_NORMAL_NV`
`static final int`
`GL_MAX_GENERAL_COMBINERS_NV`
`static final int`
`GL_NUM_GENERAL_COMBINERS_NV`
`static final int`
`GL_PRIMARY_COLOR_NV`
`static final int`
`GL_REGISTER_COMBINERS_NV`
`static final int`
`GL_SCALE_BY_FOUR_NV`
`static final int`
`GL_SCALE_BY_ONE_HALF_NV`
`static final int`
`GL_SCALE_BY_TWO_NV`
`static final int`
`GL_SECONDARY_COLOR_NV`
`static final int`
`GL_SIGNED_IDENTITY_NV`
`static final int`
`GL_SIGNED_NEGATE_NV`
`static final int`
`GL_SPARE0_NV`
`static final int`
`GL_SPARE0_PLUS_SECONDARY_COLOR_NV`
`static final int`
`GL_SPARE1_NV`
`static final int`
`GL_UNSIGNED_IDENTITY_NV`
`static final int`
`GL_UNSIGNED_INVERT_NV`
`static final int`
`GL_VARIABLE_A_NV`
`static final int`
`GL_VARIABLE_B_NV`
`static final int`
`GL_VARIABLE_C_NV`
`static final int`
`GL_VARIABLE_D_NV`
`static final int`
`GL_VARIABLE_E_NV`
`static final int`
`GL_VARIABLE_F_NV`
`static final int`
`GL_VARIABLE_G_NV`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCombinerInputNV(int stage, int portion, int variable, int input, int mapping, int componentUsage)`
`static void`
`glCombinerOutputNV(int stage, int portion, int abOutput, int cdOutput, int sumOutput, int scale, int bias, boolean abDotProduct, boolean cdDotProduct, boolean muxSum)`
`static void`
`glCombinerParameterfNV(int pname, float param)`
`static void`
`glCombinerParameteriNV(int pname, int param)`
`static void`
`glCombinerParameterNV(int pname, FloatBuffer params)`
`static void`
`glCombinerParameterNV(int pname, IntBuffer params)`
`static void`
`glFinalCombinerInputNV(int variable, int input, int mapping, int componentUsage)`
`static float`
`glGetCombinerInputParameterfNV(int stage, int portion, int variable, int pname)`
Overloads glGetCombinerInputParameterfvNV.
`static int`
`glGetCombinerInputParameteriNV(int stage, int portion, int variable, int pname)`
Overloads glGetCombinerInputParameterivNV.
`static void`
`glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, FloatBuffer params)`
`static void`
`glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, IntBuffer params)`
`static float`
`glGetCombinerOutputParameterfNV(int stage, int portion, int pname)`
Overloads glGetCombinerOutputParameterfvNV.
`static int`
`glGetCombinerOutputParameteriNV(int stage, int portion, int pname)`
Overloads glGetCombinerOutputParameterivNV.
`static void`
`glGetCombinerOutputParameterNV(int stage, int portion, int pname, FloatBuffer params)`
`static void`
`glGetCombinerOutputParameterNV(int stage, int portion, int pname, IntBuffer params)`
`static float`
`glGetFinalCombinerInputParameterfNV(int variable, int pname)`
Overloads glGetFinalCombinerInputParameterfvNV.
`static int`
`glGetFinalCombinerInputParameteriNV(int variable, int pname)`
Overloads glGetFinalCombinerInputParameterivNV.
`static void`
`glGetFinalCombinerInputParameterNV(int variable, int pname, FloatBuffer params)`
`static void`
`glGetFinalCombinerInputParameterNV(int variable, int pname, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_REGISTER_COMBINERS_NV

public static final int GL_REGISTER_COMBINERS_NV

See Also:
  - Constant Field Values

### GL_COMBINER0_NV

public static final int GL_COMBINER0_NV

See Also:
  - Constant Field Values

### GL_COMBINER1_NV

public static final int GL_COMBINER1_NV

See Also:
  - Constant Field Values

### GL_COMBINER2_NV

public static final int GL_COMBINER2_NV

See Also:
  - Constant Field Values

### GL_COMBINER3_NV

public static final int GL_COMBINER3_NV

See Also:
  - Constant Field Values

### GL_COMBINER4_NV

public static final int GL_COMBINER4_NV

See Also:
  - Constant Field Values

### GL_COMBINER5_NV

public static final int GL_COMBINER5_NV

See Also:
  - Constant Field Values

### GL_COMBINER6_NV

public static final int GL_COMBINER6_NV

See Also:
  - Constant Field Values

### GL_COMBINER7_NV

public static final int GL_COMBINER7_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_A_NV

public static final int GL_VARIABLE_A_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_B_NV

public static final int GL_VARIABLE_B_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_C_NV

public static final int GL_VARIABLE_C_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_D_NV

public static final int GL_VARIABLE_D_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_E_NV

public static final int GL_VARIABLE_E_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_F_NV

public static final int GL_VARIABLE_F_NV

See Also:
  - Constant Field Values

### GL_VARIABLE_G_NV

public static final int GL_VARIABLE_G_NV

See Also:
  - Constant Field Values

### GL_CONSTANT_COLOR0_NV

public static final int GL_CONSTANT_COLOR0_NV

See Also:
  - Constant Field Values

### GL_CONSTANT_COLOR1_NV

public static final int GL_CONSTANT_COLOR1_NV

See Also:
  - Constant Field Values

### GL_PRIMARY_COLOR_NV

public static final int GL_PRIMARY_COLOR_NV

See Also:
  - Constant Field Values

### GL_SECONDARY_COLOR_NV

public static final int GL_SECONDARY_COLOR_NV

See Also:
  - Constant Field Values

### GL_SPARE0_NV

public static final int GL_SPARE0_NV

See Also:
  - Constant Field Values

### GL_SPARE1_NV

public static final int GL_SPARE1_NV

See Also:
  - Constant Field Values

### GL_UNSIGNED_IDENTITY_NV

public static final int GL_UNSIGNED_IDENTITY_NV

See Also:
  - Constant Field Values

### GL_UNSIGNED_INVERT_NV

public static final int GL_UNSIGNED_INVERT_NV

See Also:
  - Constant Field Values

### GL_EXPAND_NORMAL_NV

public static final int GL_EXPAND_NORMAL_NV

See Also:
  - Constant Field Values

### GL_EXPAND_NEGATE_NV

public static final int GL_EXPAND_NEGATE_NV

See Also:
  - Constant Field Values

### GL_HALF_BIAS_NORMAL_NV

public static final int GL_HALF_BIAS_NORMAL_NV

See Also:
  - Constant Field Values

### GL_HALF_BIAS_NEGATE_NV

public static final int GL_HALF_BIAS_NEGATE_NV

See Also:
  - Constant Field Values

### GL_SIGNED_IDENTITY_NV

public static final int GL_SIGNED_IDENTITY_NV

See Also:
  - Constant Field Values

### GL_SIGNED_NEGATE_NV

public static final int GL_SIGNED_NEGATE_NV

See Also:
  - Constant Field Values

### GL_E_TIMES_F_NV

public static final int GL_E_TIMES_F_NV

See Also:
  - Constant Field Values

### GL_SPARE0_PLUS_SECONDARY_COLOR_NV

public static final int GL_SPARE0_PLUS_SECONDARY_COLOR_NV

See Also:
  - Constant Field Values

### GL_SCALE_BY_TWO_NV

public static final int GL_SCALE_BY_TWO_NV

See Also:
  - Constant Field Values

### GL_SCALE_BY_FOUR_NV

public static final int GL_SCALE_BY_FOUR_NV

See Also:
  - Constant Field Values

### GL_SCALE_BY_ONE_HALF_NV

public static final int GL_SCALE_BY_ONE_HALF_NV

See Also:
  - Constant Field Values

### GL_BIAS_BY_NEGATIVE_ONE_HALF_NV

public static final int GL_BIAS_BY_NEGATIVE_ONE_HALF_NV

See Also:
  - Constant Field Values

### GL_DISCARD_NV

public static final int GL_DISCARD_NV

See Also:
  - Constant Field Values

### GL_COMBINER_INPUT_NV

public static final int GL_COMBINER_INPUT_NV

See Also:
  - Constant Field Values

### GL_COMBINER_MAPPING_NV

public static final int GL_COMBINER_MAPPING_NV

See Also:
  - Constant Field Values

### GL_COMBINER_COMPONENT_USAGE_NV

public static final int GL_COMBINER_COMPONENT_USAGE_NV

See Also:
  - Constant Field Values

### GL_COMBINER_AB_DOT_PRODUCT_NV

public static final int GL_COMBINER_AB_DOT_PRODUCT_NV

See Also:
  - Constant Field Values

### GL_COMBINER_CD_DOT_PRODUCT_NV

public static final int GL_COMBINER_CD_DOT_PRODUCT_NV

See Also:
  - Constant Field Values

### GL_COMBINER_MUX_SUM_NV

public static final int GL_COMBINER_MUX_SUM_NV

See Also:
  - Constant Field Values

### GL_COMBINER_SCALE_NV

public static final int GL_COMBINER_SCALE_NV

See Also:
  - Constant Field Values

### GL_COMBINER_BIAS_NV

public static final int GL_COMBINER_BIAS_NV

See Also:
  - Constant Field Values

### GL_COMBINER_AB_OUTPUT_NV

public static final int GL_COMBINER_AB_OUTPUT_NV

See Also:
  - Constant Field Values

### GL_COMBINER_CD_OUTPUT_NV

public static final int GL_COMBINER_CD_OUTPUT_NV

See Also:
  - Constant Field Values

### GL_COMBINER_SUM_OUTPUT_NV

public static final int GL_COMBINER_SUM_OUTPUT_NV

See Also:
  - Constant Field Values

### GL_NUM_GENERAL_COMBINERS_NV

public static final int GL_NUM_GENERAL_COMBINERS_NV

See Also:
  - Constant Field Values

### GL_COLOR_SUM_CLAMP_NV

public static final int GL_COLOR_SUM_CLAMP_NV

See Also:
  - Constant Field Values

### GL_MAX_GENERAL_COMBINERS_NV

public static final int GL_MAX_GENERAL_COMBINERS_NV

See Also:
  - Constant Field Values

## Method Details

### glCombinerParameterfNV

public static void glCombinerParameterfNV(int pname, float param)

### glCombinerParameterNV

public static void glCombinerParameterNV(int pname, FloatBuffer params)

### glCombinerParameteriNV

public static void glCombinerParameteriNV(int pname, int param)

### glCombinerParameterNV

public static void glCombinerParameterNV(int pname, IntBuffer params)

### glCombinerInputNV

public static void glCombinerInputNV(int stage, int portion, int variable, int input, int mapping, int componentUsage)

### glCombinerOutputNV

public static void glCombinerOutputNV(int stage, int portion, int abOutput, int cdOutput, int sumOutput, int scale, int bias, boolean abDotProduct, boolean cdDotProduct, boolean muxSum)

### glFinalCombinerInputNV

public static void glFinalCombinerInputNV(int variable, int input, int mapping, int componentUsage)

### glGetCombinerInputParameterNV

public static void glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, FloatBuffer params)

### glGetCombinerInputParameterfNV

public static float glGetCombinerInputParameterfNV(int stage, int portion, int variable, int pname)
Overloads glGetCombinerInputParameterfvNV.

### glGetCombinerInputParameterNV

public static void glGetCombinerInputParameterNV(int stage, int portion, int variable, int pname, IntBuffer params)

### glGetCombinerInputParameteriNV

public static int glGetCombinerInputParameteriNV(int stage, int portion, int variable, int pname)
Overloads glGetCombinerInputParameterivNV.

### glGetCombinerOutputParameterNV

public static void glGetCombinerOutputParameterNV(int stage, int portion, int pname, FloatBuffer params)

### glGetCombinerOutputParameterfNV

public static float glGetCombinerOutputParameterfNV(int stage, int portion, int pname)
Overloads glGetCombinerOutputParameterfvNV.

### glGetCombinerOutputParameterNV

public static void glGetCombinerOutputParameterNV(int stage, int portion, int pname, IntBuffer params)

### glGetCombinerOutputParameteriNV

public static int glGetCombinerOutputParameteriNV(int stage, int portion, int pname)
Overloads glGetCombinerOutputParameterivNV.

### glGetFinalCombinerInputParameterNV

public static void glGetFinalCombinerInputParameterNV(int variable, int pname, FloatBuffer params)

### glGetFinalCombinerInputParameterfNV

public static float glGetFinalCombinerInputParameterfNV(int variable, int pname)
Overloads glGetFinalCombinerInputParameterfvNV.

### glGetFinalCombinerInputParameterNV

public static void glGetFinalCombinerInputParameterNV(int variable, int pname, IntBuffer params)

### glGetFinalCombinerInputParameteriNV

public static int glGetFinalCombinerInputParameteriNV(int variable, int pname)
Overloads glGetFinalCombinerInputParameterivNV.